WPS8ParserInternal::State Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
WPS8ParserInternal::State Struct Reference

the state of WPS8 More...

## Public Member Functions
| State ()
void | initTypeMaps ()
| initializes the type map More...

## Public Attributes
long | m_eof
| the end of file More...
WPSPageSpan | m_pageSpan
| the actual document size More...
std::string | m_localeLanguage
| the language More...
WPSEntry | m_background
| an identificator to design a background picture More...
std::vector< Frame > | m_frameList
| the frame's list More...
std::map< int, int > | m_object2FrameMap
| a map m_idObject -> frame More...
std::map< int, int > | m_table2FrameMap
| a map m_idTable -> frame More...
std::map< int, int > | m_docPropertyTypes
| the document property type More...
std::map< int, int > | m_frameTypes
| the frame type More...
int | m_numColumns
| the number of columns More...
int | m_actPage
| the actual page More...
int | m_numPages

## Detailed Description

the state of WPS8

## Constructor & Destructor Documentation

## ◆ State()

WPS8ParserInternal::State::State | ( |  | ) |
| inline

## Member Function Documentation

## ◆ initTypeMaps()

void WPS8ParserInternal::State::initTypeMaps | ( |  | ) |

initializes the type map

Referenced by State().

## Member Data Documentation

## ◆ m_actPage

int WPS8ParserInternal::State::m_actPage

the actual page

## ◆ m_background

WPSEntry WPS8ParserInternal::State::m_background

an identificator to design a background picture

## ◆ m_docPropertyTypes

std::map<int,int> WPS8ParserInternal::State::m_docPropertyTypes

the document property type

Referenced by initTypeMaps().

## ◆ m_eof

long WPS8ParserInternal::State::m_eof

the end of file

## ◆ m_frameList

std::vector<Frame> WPS8ParserInternal::State::m_frameList

the frame's list

## ◆ m_frameTypes

std::map<int,int> WPS8ParserInternal::State::m_frameTypes

the frame type

Referenced by initTypeMaps().

## ◆ m_localeLanguage

std::string WPS8ParserInternal::State::m_localeLanguage

the language

## ◆ m_numColumns

int WPS8ParserInternal::State::m_numColumns

the number of columns

## ◆ m_numPages

int WPS8ParserInternal::State::m_numPages

## ◆ m_object2FrameMap

std::map<int, int> WPS8ParserInternal::State::m_object2FrameMap

a map m_idObject -> frame

## ◆ m_pageSpan

WPSPageSpan WPS8ParserInternal::State::m_pageSpan

the actual document size

## ◆ m_table2FrameMap

std::map<int, int> WPS8ParserInternal::State::m_table2FrameMap

a map m_idTable -> frame

The documentation for this struct was generated from the following file:

- WPS8.cpp